:root{
    --main-fondo:#4f8032;
    --main-header-cl:#fff;
    --main-header-a: #666;
    --main-green-lg: #01bfa5;
    --main-blue-lg: #001736;
    --main-btn-cl:#ff0050;
    --main-btn-cl:#db9801;
    --main-btn-hl:#ffc032;
    --main-btn-tc:#805903;
    --main-cl-a:#038fc2;
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Mukta', sans-serif;
}
body{
 background: #ffffff;
}
input{
    font-size: 15px;
    border-style: none;
    padding: 10px;
}
input,button{
    outline: none;
}
h1{
    font-size: 20px;
}
button{
    border-style: 1px solid var(--main-btn-cl);
    background: transparent;
    color: var(--main-btn-tl);
    cursor: pointer;
    padding: 10px 15px;
}
button:hover{
    background: #333;
}
.content{
    margin: 20px;
}
.modal{
    background: rgba(0,0,0,0.5);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 11;
    display: none;
}
.body-modal{
    width: 100%;
    max-width: 800px;
    background: #fff;
    padding: 20px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    position: relative;
}
.modal-btn-close{
    position: absolute;
    top: 0;
    right: 0;
    width: auto;
    z-index: 11;
    background: transparent;
    border:none;
}
.div-btn{
    border: 1px solid var(--main-btn-cl);
    background: transparent;
    color: var(--main-btn-tc);
    cursor: pointer;
    text-align: center;
    transition: .3s;
    border-radius: 20px;
    padding: 4px ;
}
.div-btn:hover{
    background: var(--main-btn-hl);
}
.body-all{
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
}
.btn-close-cat{
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    font-size: 20px;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.categories{
    width: 250px;
    height: 100%;
    background: #eee;
    padding: 5px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    transition: 0.3s;
    transform: translateX(-120%);
    box-shadow: 0px 0px 9px 3px #666;
}
.categories:target{
    transform: translateX(0);
}
.class-catpro{
}
.class-catpro a{
    text-decoration: none;
    color: #333;
    padding: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
}
.class-catpro:hover{
    background: #ccc;
}
.class-catpro img{
    width:25px;
}
.class-catpro span{
    padding: 5px;
}
.class-subcat{
    padding: 5px 10px;
    cursor: pointer;
}
.class-subcat:hover{
    color: var(--main-header-cl);
}
.class-subsubcat{
    padding: 5px 20px;
    background: #ccc;
    width: 100%;
}
.main-body-scp{
    display: flex;
    flex-direction: column;
}
.body-subcatpro a{
    color: #333;
    text-decoration: none;
}
.body-subcatpro a:hover{
    color: #333;
    color: var(--main-header-cl);
}
.main-body-scp a{
    color: #333;
    text-decoration: none;
    background: #ddd;
}
.main-body-scp a:hover{
    color: var(--main-header-cl);
}
.new-body-all .part-content{
    width: calc(100% - 200px);
}
@media(max-width: 600px){ 
    .new-body-all{
        display: block;
    }
    .new-body-all .part-categories{
        width: 100%;
    }
    .new-body-all .part-content{
        width: 100%;
    }
}
.mt10{
    margin-top: 10px;
}
.button-primary{
    border-radius: 5px;
    padding: 5px 10px;
    font-size: 15px;
}
.button-inverse{
    border: 1px solid var(--main-blue-lg);
    color: var(--main-blue-lg);
    background: #ffffff;
}
.button-inverse:hover{
    background: #ddd;
}
.box-text a{
    margin: 5px 0;
    color: var(--main-cl-a);
}
.registro a{
    color: var(--main-cl-a);
    text-decoration: none;
}
.registro a:hover{
    text-decoration: underline;
}
/*----------------------header-------------------*/
.ctrl-categorias a{
    color: #fff;
    font-size: 25px;
    text-align: center;
}
header{
    width: 100%;
    background: #407dcd;
    height: 50px;
    display: grid;
    grid-template-columns: 30px 1fr;
    padding: 0 20px;
    gap:20px;
    border-bottom: 1px solid #ccc;
}

/*------------------barra de navegacion------------------*/
nav{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background: var(--main-fondo);
    height: 80px;
}
nav a{
    padding: 10px 40px;
    font-size: 20px;
    color:  #ffffff;
    text-decoration: none;
    height: 100%;
    display: flex;
    cursor: pointer;
}
nav a:hover{
    text-decoration: underline;
}
nav a label{
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10px;
}
nav a img{
    height: 100%;
}
/*------------------main------------------*/
.main-content-product-add{
    width: 100%;
    max-width: 1300px;
    margin: 10px auto;
}
.main-content-product-add .main-products{
    grid-template-columns: repeat(6, 1fr);
}
.main-content-products{
    width: 100%;
    max-width: 1300px;
    margin: 10px auto;
}
.main-products{
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 4px;
}
.main-products .producto{
    padding: 8px;
    cursor: pointer;
    border-radius: 10px;
    transition: 0.3s;
    position: relative;
}
.main-products .producto:hover{
    box-shadow: 0px 0px 3px 3px #eee;
}
.btn-fav{
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 20px;
    color: var(--main-green-lg);
    background: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btn-fav:hover{
    background: #eee;
}
.btn-fav-act{
    background: var(--main-green-lg);
    color: #fff;
}
.btn-fav-act:hover{
    background: var(--main-green-lg);
    color: #fff;
}
.main-products .cuerpo-producto{
    background: #fff;
    border-radius: 7px;
    height: 295px;
}
.main-products .cuerpo-producto .section-img{
    width: 100%;
    height: 180px;
}
.main-products .cuerpo-producto .section-img img{
    object-fit: cover;
    width: 100%;
    height: 100%;
    padding-bottom: 5px;
}
.contenedor-main{
    width: 100%;
    max-width: 1300px;
    margin: 20px auto;
    display: flex;
    flex-direction: row;
}
.contenedor-nuevo{
    flex-direction: column;
}
.contenedor-main .contenedor-filtro{
    width: 250px;
    background: #ffffff;    
}
.contenedor-main .contenedor-filtro h3{
    font-size: 20px;
    color: #666;
    padding: 10px;
}
.class-mensaje{
    width: 100%;
    padding: 20px;
    text-align: center;
    background: var(--main-fondo);
    color: #fff;
}
.contenedor-main .contenedor-filtro  .class-catpro{
    padding: 5px 10px;
    width: 100%;
    font-size: 16px;
    color:#747474 ;
    cursor: pointer;
}
.contenedor-main .contenedor-filtro  .class-catpro:hover{
    background: #eee;
}
.body-subcatpro{
    display: none;
    background: #ddd;
}
.contenedor-main .contenedor-filtro a{
    display: inline-block;
    padding: 5px 15px;
    width: 100%;
    font-size: 16px;
    color: #333;
    text-decoration: none;
    background: #eee;
}
.contenedor-main .contenedor-filtro  a:hover{
    color: var(--main-header-cl);
    text-decoration: underline;
}
.body-place-content{
    width: 100%;
    max-width: 1300px;
    padding: 0 10px;
    margin: 20px auto;
}
.contenedor-main .contenedor-productos{
    width: 100%;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: repeat(4,1fr);
}
.contenedor-main .contenedor-productos .producto{
    width: 100%;
    text-decoration: none;
    padding: 10px;
    border: 1px solid #ccc;
}
.contenedor-main .contenedor-productos .producto .cuerpo-producto{
    width: 100%;
    background: #ffffff;
    border-radius: 5px;
}
.contenedor-main .contenedor-productos .producto .cuerpo-producto .img{
    width: 100%;
    border-radius: 5px 5px 0 0;
    height: 217.5px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.descripcion{
    padding: 5px 0;
    color: #000;
}
.descripcion .nombre-producto{
    font-size: 16px;
    height: 54px;
    overflow: hidden;
}
.descripcion .precio{
    font-size: 20px;
    font-weight: bold;
}
.contenedor-contacto{
    width: 100%;
    background: #454545;
}
.body-footer{
    margin: 0 auto;
    max-width: 1200px;
    width: 100%;
    padding: 10px;
    color: #fff;
    display: flex;
}
.body-footer .body-part{
    width: 60%;
    padding: 0 10px;
}
.body-footer .body-part2{
    width: 40%;
    padding: 0 10px;
}
.esp-h4{
    margin-left: 22px;
}
.body-footer .body-part h4,
.body-footer .body-part2 h4{
    padding: 0px 10px;
    font-weight: 400;
    color: #fff;
}
.body-footer .body-part2 h4 a{
    text-decoration: none;
    color: #fff;
}
.body-footer .body-part2 h4 a:hover{
    color: #ccc;
    text-decoration: underline;
}
.body-footer .body-part h4 i{
    width: 20px;
    text-align: center;
}
.contenedor-contacto h4{
    padding: 20px 10px;
    color: #ddd;
}


.link-wssp{
    position: fixed;
    bottom: 5px;
    right: 10px;
    z-index: 10;
}
.link-wssp a img{
    width: 70px;
}

.row-cat-movil{
    display: none;
}
.row-cat-web{
    display: block;
}
.options-buy{
    display: flex;
    flex-direction: column;
    height: 37px;
    overflow: hidden;
}
.select-quantity{
    display: grid;
    grid-template-columns: 1fr 80px;
}
.quantity{
    padding: 5px;
    display: flex;
    align-items: center;
    font-size: 20px;
}
.btns-mas-menos{
    display: flex;
    align-items: right;
}
.btns-mas-menos .btn-menos,.btns-mas-menos .btn-mas{
    width: 33px;
    height: 33px;
    margin: 4px;
    font-size: 25px;
    border-radius: 50%;
    background: var(--main-btn-cl);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btns-mas-menos .btn-menos:hover,.btns-mas-menos .btn-mas:hover{
    background: var(--main-btn-hl);
}
.show-producto{
    padding: 10px 0;
    display: grid;
    grid-template-columns: 550px 1fr;
    grid-gap: 10px;
}
.part-producto{
    position: relative;
}
.show-producto .part-producto img{
    width: 100%;
}
.content-fotos{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap:20px;
    margin-top: 10px;
}
.fotos-detail{
    width: 100%;
    height: 130px;
    padding: 2px;
    box-shadow: 0px 0px 3px 3px #eee;
    cursor: pointer;
}
.fotos-detail:hover{
    box-shadow: 0px 0px 6px 6px #eee;
}
.fotos-detail img{
    object-fit: cover;
    width: 100%;
    height: 130px;
    padding-bottom: 5px;
}
.contenedor-carrito{
    display: block;
    padding: 0 10px;
    width: 100%;
    max-width: 1250px;
    margin: 0 auto;
}
.body-carrito{
    width: 100%;
}
.item-pedido{
    padding: 20px;
    position: relative;
    width: 100%;
    padding: 10px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-top: 10px;
}
.item-pedido:nth-child(1){
    margin-top: 0;
}
.item-carrito{
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 5fr;
    grid-gap: 10px;
    border-radius: 5px;
    border:1px #ccc solid;
    background: #fff;
    margin-top: 5px;
}
.item-carrito:nth-child(1){
    margin-top: 0;
}
.item-carrito .part img{
    width: 100%;
}
.item-carrito .part:nth-child(2){
    padding: 0 20px;
}
.item-carrito .part a{
    text-decoration: none;
    color: #333;
}
.item-carrito .part a:hover{
    text-decoration: underline;
    color: #666;
}

.content-menu-user{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 2;
}
.menu-usuario{
    position: absolute;
    top: 100px;
    right: 40px;
    background: #fff;
    padding: 10px;
    border-radius: 0 0 10px 10px;
    box-shadow: 0px 0px 5px #333;
}
.menu-usuario a{
    padding-top: 5px!important;
    padding-bottom : 5px!important;
    padding-left: 10px!important;
    padding-right: 10px!important;
    display: flex;
    color: #333!important;
}
.menu-usuario a i{
    padding-top: 5px;
    width: 20px;
    text-align: center;
}
.btn-close{
    position: absolute;
    top: 5px;
    right: 5px;
    color: #333;
    background: transparent;
    border:none;
    width: 30px;
    font-size: 20px;
}
.btn-close:hover{
    background: #ccc;
}
.modal{
    background: rgba(0,0,0,0.5);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 11;
    display: none;
    padding-top: 100px;
    z-index: 10;
}
.modal-main{
    margin: auto;
    max-width: 600px;
    width: 100%;
    padding: 10px;
    position: absolute;
    right: 30px;
}
.modal-noticia{
    width: 600px;
    max-width: 100%;
    margin: 0 auto;
    padding: 20px;
    background: #fff;
    border-radius: 10px;
    position: relative;
}
.modal-noticia .btn-close{
    width: 30px;
    height: 30px;
    position: absolute;
    top: 0;
    right: 0;
    text-align: center;
    cursor: pointer;
}
.modal-noticia img{
    width: 100%;
}
.modal-body{
    margin: auto;
    background: #fff;
    width: 100%;
    display: flex;
    padding: 10px;
    border-radius: 5px;
    position: relative;
}
.contenedor-login {
    width: 100%;
    padding: 10px;
}
.contenedor-registro{
    width: 50%;
    padding: 5px;
}
.content-carrito-detalle{
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
}
@media(max-width: 450px){
    .content-carrito-detalle {
        grid-template-columns: 1fr;
        column-gap: 0px;
    }
}
select{
    width: 100%;
    padding: 5px;
    font-size: 15px;
    border-radius: 3px;
}
@media(max-width: 380px){
    .modal-body{
        display: block;
    }
    .contenedor-login,.contenedor-registro {
        width: 100%;
    }
}
.body-modal-special{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.body-modal-special img{
    width: 100px;
    animation: rotar_logo 2s infinite;
    animation-timing-function: linear;
    box-shadow: 0 0 8px 2px rgba(255,255,255,0.5);
    background: #fff;
    border-radius: 50%;
    padding: 10px;
}
.form-buy{
    display: flex;
    flex-direction: column;
}
.form-buy label{
    font-weight: 600;
}
.form-buy input{
    max-width: 500px;
    width: 100%;
    border-radius: 3px;
}
.link-pedido{
    text-decoration: none;
    position: absolute;
    top: 10px;
    right: 10px;
    color: var(--main-blue-lg);
    cursor: pointer;
}
.link-pedido:hover{
    text-decoration: underline;
}
.link-delete{
    text-decoration: underline;
    position: absolute;
    top: 40px;
    right: 10px;
    color: var(--main-fondo);
    cursor: pointer;
}
.user-item-a{
    position: relative;display: flex;justify-content: center;align-items: center;
}
.line-divider{
    background: #999;
    margin: 5px 0;
    width: 100%;
    height: 1px;
}
.div-border{
    border:1px solid #999;
    padding: 15px 25px;
    border-radius: 10px;
    box-shadow: 0px 0px 4px 2px #eee;
    position: relative;
}
@keyframes rotar_logo{
    0%{
        transform: rotateY(0deg);
    }
    100%{
        transform: rotateY(360deg);
    }
}
.body-modal-special h3{
    color: #fff;
}
#nombre-usuario{
    display: none;
}
.content-btns-paypal{
    max-width: 400px;
    width: 100%;
}
@media(max-width: 1000px){
    .contenedor-main .contenedor-filtro{
        width: 200px;
    }
    .body-place-content{
        width: calc(100% - 200px);
        padding: 0 10px;
    }
    .counter-cart{
        top: -5px;
        right: -5px;
    }
    .main-products{
        grid-template-columns: repeat(3,1fr);
    }
    .main-content-product-add .main-products{
        grid-template-columns: repeat(4,1fr);
    }
}
@media(max-width: 900px){
    header{
        gap: 10px;
    }
    .contenedor-main .contenedor-productos{
        grid-template-columns: repeat(3,1fr);
    }
    .main-products{
        grid-template-columns: repeat(2,1fr);
    }
}
@media(max-width: 700px){
    .text-hidden{
        display: none;
    }
    header .buscar{
        padding: 0 10px;
    }
    .contenedor-main .contenedor-productos{
        grid-template-columns: repeat(2,1fr);
    }
    .main-content-product-add .main-products{
        grid-template-columns: repeat(2,1fr);
    }
    .item-carrito{        
        grid-template-columns: 1fr 3fr;
    }
}
@media(max-width: 600px){
    .ctrl-categorias a {
        font-size: 20px;
    }
    .body-place-content{
        width: 100%;
        padding: 0 10px;
    }   
    .contenedor-main{
        display: block;
    }
    .contenedor-main .contenedor-filtro{
        width: 100%;
    }
    .row-cat-movil{
        display: block;
        margin-right: 5px;
    }
    .contenedor-main .contenedor-filtro h3{
        display: flex;
    } 
    .item-carrito{        
        grid-template-columns: 1fr 2fr;
    }
}
@media(max-width: 500px){    
    #nombre-usuario{
        display: block;
        text-align: center;
    }
    #name-user{
        display: none;
    }
    .class-mensaje{
        padding: 10px;
        font-size: 15px;
    }
    #icon-carrito{
        display: none;
    }
    .body-footer{
        display: block;
    }
    .body-footer .body-part,
    .body-footer .body-part2{
        width: 100%;
    }
}

input{
    border: 1px solid #333;
    padding: 2px 7px;
}
button{
    background: #ddd;
    color: #333;
    font-weight: bold;
}
button:hover{
    background: #ccc;
}
.contentList{
    background: #efefef;
    margin-top: 5px;
    overflow-y: scroll;
    height: 150px;
}
.contentList .itemList{
    padding: 5px;
    cursor: pointer;
}
.contentList .itemList:hover{
    background: #ddd;
}
.contentListComplete{
    background: #efefef;
    margin-top: 5px;
}
.contentListTbl2{
    background: #efefef;
    margin-top: 5px;
    overflow-x: scroll;
}
table{
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    border: 1px solid #ddd;
}
thead,tbody{
    width: 100%;
}
th{
    font-weight: bold;
}
.contentListTbl2 table thead tr th,
.contentListTbl2 table tbody tr td{
    border:1px solid #666;
}
.tdFecha{
    font-weight: bold;    
}
th,td{
    padding: 5px;
    text-align: left;
}
.minTdTbl1{
    min-width: 100px;
}
.minTdTbl{
    min-width: 150px;
}